#ifndef MASSFITSIGNALCLASS_HPP
#define MASSFITSIGNALCLASS_HPP

#include "../GlobalFunctions.hh"
#include "ParamValues.hpp"

class SignalPdf: public ParamValues{
public:
    SignalPdf(){}; //default constructor

    //pdfs signal
    RooGaussian* GaussBplus1(RooRealVar *B_plus_M, RooRealVar *mean, bool fitRef);
    RooGaussian* GaussBplus2(RooRealVar *B_plus_M, RooRealVar *mean, bool fitRef);
    RooCBShape* CBBplus1(RooRealVar *B_plus_M, RooRealVar *mean, bool fitRef);
    RooCBShape* CBBplus2(RooRealVar *B_plus_M, RooRealVar *mean, bool fitRef);
    RooDoubleCB* CBBplus(RooRealVar *B_plus_M, RooRealVar *mean, bool fitRef);
    RooAddPdf* getBplusMassModel(RooRealVar *B_plus_M, RooRealVar *mean, bool fitRef);

    double getParameter(string parName, RooFitResult *result);
    void setAllRooVarsConstant();

    ~SignalPdf(){} //default destructor
};

#endif // MASSFITSIGNALCLASS_HPP
